Skip to main content
POST
/
v1
/
orgs
/
{orgName}
/
channels
/
{channelSlug}
/
rfqs
cURL
curl --request POST \
  --url https://api.connect.bluelayer.tech/v1/orgs/{orgName}/channels/{channelSlug}/rfqs \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "listingIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "contractType": "spot",
  "minVolume": 2,
  "maxVolume": 2,
  "minVintageYear": "Any",
  "maxVintageYear": 2020,
  "buyerDescription": "<string>",
  "reference": "<string>",
  "fulfilmentMethod": "transfer",
  "fulfilmentDueDate": "2023-12-25",
  "pricing": {
    "currency": "USD",
    "minUnitPrice": 1,
    "maxUnitPrice": 1
  },
  "reportingPeriodStart": "2023-12-25",
  "reportingPeriodEnd": "2023-12-25",
  "reasonForPurchase": "buyToRetire",
  "additionalRequirements": "<string>",
  "responseDueDate": "2023-12-25"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Path Parameters

orgName
string
required
channelSlug
string
required

Body

application/json
listingIds
string<uuid>[]
required
Minimum array length: 1

Listings that the RFQ is addressing

contractType
enum<string>
required
Available options:
spot,
forward
minVolume
number
required

Minimum volume of credits requested

Required range: x >= 1
Example:

1000

maxVolume
number
required

Maximum volume of credits requested

Required range: x >= 1
Example:

5000

minVintageYear
required

Minimum vintage year, or 'Any' if no minimum

Available options:
Any
Example:

"Any"

maxVintageYear
required

Maximum vintage year, or 'Any' if no maximum

Available options:
Any
Example:

2020

buyerDescription
string

Buyer description

Example:

"This is a short description of the buyer, which will give context to the project developer when answering"

reference
string

The channel's reference to this request

Example:

"1b5100e62ed2"

fulfilmentMethod
enum<string>
Available options:
transfer,
retirement,
assignment
fulfilmentDueDate
string<date>

The date by which the credits should be fulfilled

Example:

"2026-01-20"

pricing
object
reportingPeriodStart
string<date>

Vintage start date

Example:

"2026-01-20"

reportingPeriodEnd
string<date>

Vintage end date

Example:

"2026-01-20"

reasonForPurchase
enum<string>
Available options:
buyToRetire,
buyToSell,
other
additionalRequirements
string

Any additional requirements for the RFQ

Example:

"Credits must be from projects verified by Verra and must have a minimum of 10 years of crediting period left."

responseDueDate
string<date>

The date by which the response is due

Example:

"2026-01-20"

Response

Default Response

id
string<uuid>
required